cURL
curl --request PUT \
--url https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"full_text": "<string>",
"rating": 2,
"images_count": 500,
"videos_count": 500,
"date": "2026-01-01T12:00:00Z"
}
'import requests
url = "https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}"
payload = {
"full_text": "<string>",
"rating": 2,
"images_count": 500,
"videos_count": 500,
"date": "2026-01-01T12:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
full_text: '<string>',
rating: 2,
images_count: 500,
videos_count: 500,
date: '2026-01-01T12:00:00Z'
})
};
fetch('https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'full_text' => '<string>',
'rating' => 2,
'images_count' => 500,
'videos_count' => 500,
'date' => '2026-01-01T12:00:00Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}"
payload := strings.NewReader("{\n \"full_text\": \"<string>\",\n \"rating\": 2,\n \"images_count\": 500,\n \"videos_count\": 500,\n \"date\": \"2026-01-01T12:00:00Z\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"full_text\": \"<string>\",\n \"rating\": 2,\n \"images_count\": 500,\n \"videos_count\": 500,\n \"date\": \"2026-01-01T12:00:00Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"full_text\": \"<string>\",\n \"rating\": 2,\n \"images_count\": 500,\n \"videos_count\": 500,\n \"date\": \"2026-01-01T12:00:00Z\"\n}"
response = http.request(request)
puts response.read_body{
"review": {
"id": 123,
"program_id": 123,
"customer": {
"id": 123,
"email": "<string>"
},
"site_id": 123,
"platform": "custom",
"merchant_id": "<string>",
"status": "approved",
"full_text": "Lorem ipsum dolor sit amet, consectetur adipiscing elit",
"rating": 5,
"images_count": 3,
"videos_count": 0,
"merchant_created_at": "<string>",
"merchant_updated_at": "<string>",
"moderation_url": "<string>"
}
}{
"error": {
"message": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}{
"error": {
"code": "unsupported_platform"
}
}{
"error": {
"code": "rate_limited"
}
}Reviews
Update Review
PUT
/
v2
/
reviews
/
{platform}
/
{merchant_id}
cURL
curl --request PUT \
--url https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"full_text": "<string>",
"rating": 2,
"images_count": 500,
"videos_count": 500,
"date": "2026-01-01T12:00:00Z"
}
'import requests
url = "https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}"
payload = {
"full_text": "<string>",
"rating": 2,
"images_count": 500,
"videos_count": 500,
"date": "2026-01-01T12:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
full_text: '<string>',
rating: 2,
images_count: 500,
videos_count: 500,
date: '2026-01-01T12:00:00Z'
})
};
fetch('https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'full_text' => '<string>',
'rating' => 2,
'images_count' => 500,
'videos_count' => 500,
'date' => '2026-01-01T12:00:00Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}"
payload := strings.NewReader("{\n \"full_text\": \"<string>\",\n \"rating\": 2,\n \"images_count\": 500,\n \"videos_count\": 500,\n \"date\": \"2026-01-01T12:00:00Z\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"full_text\": \"<string>\",\n \"rating\": 2,\n \"images_count\": 500,\n \"videos_count\": 500,\n \"date\": \"2026-01-01T12:00:00Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"full_text\": \"<string>\",\n \"rating\": 2,\n \"images_count\": 500,\n \"videos_count\": 500,\n \"date\": \"2026-01-01T12:00:00Z\"\n}"
response = http.request(request)
puts response.read_body{
"review": {
"id": 123,
"program_id": 123,
"customer": {
"id": 123,
"email": "<string>"
},
"site_id": 123,
"platform": "custom",
"merchant_id": "<string>",
"status": "approved",
"full_text": "Lorem ipsum dolor sit amet, consectetur adipiscing elit",
"rating": 5,
"images_count": 3,
"videos_count": 0,
"merchant_created_at": "<string>",
"merchant_updated_at": "<string>",
"moderation_url": "<string>"
}
}{
"error": {
"message": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}{
"error": {
"code": "unsupported_platform"
}
}{
"error": {
"code": "rate_limited"
}
}Required scope:
write_reviewsThis endpoint is in preview, and is only available to partners and merchants who
have opted-inpending status and is
later approved, you can send LoyaltyLion an update informing us it has been
approved.
To update a review you’ll need the platform and the merchant_id you sent to
LoyaltyLion when you first created the review.Authorizations
Path Parameters
Body
application/json
Body
The current status of the review, which determines how and when associated rules are triggered. One of: pending (the review is pending review), flagged (the review has been flagged for review), approved (the review has been approved/published), rejected (the review has been rejected)
Available options:
approved, flagged, pending, rejected